Summary:	LDAP directory user/group/access control manager      
Name:		directory_administrator
Version:	1.6.0
Release:	%mkrel 4
License:	GPL 
Group:		System/Configuration/Other 
URL:		http://diradmin.open-it.org
Source0:	%{name}-%{version}.tar.bz2
Source1:	%name-16.png.bz2
Source2:        %name-32.png.bz2
Source3:        %name-48.png.bz2
BuildRequires:	gnome-libs-devel openldap-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Directory administrator is a POSIX user/group manager for LDAP 
directories. It can also manage access controls, departmental 
and e-mail routing information.

%prep

%setup -q -n diradmin-%{version}
find . -type d -name 'CVS' -exec rm -Rf {} \; ||:

%build

./autogen.sh

export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"

%configure2_5x

%make
 
%install
rm -rf %{buildroot}

%makeinstall

install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
section="Configuration/Other" \
command="%{_bindir}/directory_administrator" \
title="Directory administrator" \
longtitle="LDAP directory manager" \
needs="x11" \
icon="%name.png"
EOF

# icon
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_iconsdir}
install -d  %{buildroot}%{_miconsdir}
bzcat %{SOURCE1} > %{buildroot}%{_liconsdir}/%{name}.png
bzcat %{SOURCE2} > %{buildroot}%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > %{buildroot}%{_miconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/directory_administrator
%attr(0644,root,root) %{_datadir}/applications/*
%attr(0644,root,root) %{_datadir}/pixmaps/directory_administrator/*
%defattr(0644,root,root,755)
%doc AUTHORS NEWS COPYING ChangeLog TODO README doc
%{_menudir}/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Sep 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.6.0-4mdk
- lib64 and other fixes
- cast -DLDAP_DEPRECATED to CFLAGS
- use the %%mkrel macro

* Tue Aug 30 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.6.0-3mdk
- Rebuild for new libldap-2.3
- buildrequire openldap-devel, not libldap-devel
- clean CVS files
- drop prefix tg

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.6.0-2mdk
- rebuild for ldap2.2_7

* Fri Jan 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0

* Tue Aug 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5.1-2mdk
- rebuild

* Sat Jun 21 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- 1.5.1

* Mon May 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4

* Tue Feb 11 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.5-1mdk
- 1.3.5

* Thu Jan 16 2003 Stefan van der Eijk <stefan@eijk.nu> 1.3.4-1mdk
- 1.3.4

* Wed Nov 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Thu Nov 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.14-1mdk
- 1.1.14

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.10-1mdk
- 1.1.10

* Mon Jul 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.9-2mdk
- fix url
- fix menu

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.9-1mdk
- 1.1.9
- remove patch0 merged upstream

* Tue Jun 18 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.1.8-2mdk
- apply patch to fix the generation of crypted md5 passwords

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.8-1mdk
- 1.1.8

* Wed Mar 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.7-1mdk
- updated to 1.1.7 ( thx Manuel Amador )

* Thu Dec 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-4mdk
- rebuild against new libdb

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-3mdk
- wrap description

* Sun Sep 30 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-2mdk
- BuildRequires: gnome-libs-devel libldap-devel
- Copyright --> License

* Fri Aug 10 2001 Vincent Saugey <vince@mandrakesoft.com> 1.1.1-1mdk
- First mandrake release
